import { OptionsControlProps } from './Options';
import React from 'react';
import { Option } from './Options';
import { Api } from '../../types';
export interface TransferProps extends OptionsControlProps {
    sortable?: boolean;
    selectMode?: 'table' | 'list' | 'tree';
    searchResultMode?: 'table' | 'list' | 'tree';
    columns?: Array<any>;
    searchable?: boolean;
    searchApi?: Api;
}
export declare class TransferRenderer extends React.Component<TransferProps> {
    handleChange(value: Array<Option>): void;
    option2value(option: Option): Option;
    handleSearch(term: string, cancelExecutor: Function): Promise<any[]>;
    render(): JSX.Element;
}
